Loading...
Searching...
No Matches
sdbus::function_traits_base< _ReturnType, _Args > Struct Template Reference

## Classes

struct | arg

## Public Types

typedef _ReturnType | result_type
typedef std::tuple< _Args... > | arguments_type
typedef std::tuple< std::decay_t< _Args >... > | decayed_arguments_type
typedef _ReturnType | function_type(_Args...)
template<size_t _Idx>
using | arg_t = typename arg<_Idx>::type

## Static Public Attributes

static constexpr std::size_t | arity = sizeof...(_Args)

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h